Payments

Update Payment Invoice Assignment

PATCH
/orgs/{organizationId}/payments/{paymentId}/invoice

Updates the invoice assignment for a transferrable payment. When an invoice is assigned, the payment's customerId is automatically set from the invoice. Passing invoiceId null unassigns the payment. Payments that belong to a payment group cannot be changed here. With force: true, super admins may reassign non-transferrable Mollie payments.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

paymentId*string

Request Body

application/json
  1. body
invoiceId*string|null
force?boolean

Response Body

Updated payment reflecting the new invoice (or unassigned) and derived fields.

application/json
  1. response
curl -X PATCH 'https://api.tillor.eu/orgs/string/payments/string/invoice' \  -H 'Content-Type: application/json' \  -d '{  "invoiceId": "string"}'
null